#!/usr/bin/perl

##libraries
use SOAP::Lite;
use Getopt::Long;

if ($ARGV[0] eq "-h" || $ARGV[0] eq "-help") {
	open HELP, "| more";
	print HELP <<End_of_Help;
###
###AUTHOR : jsgarcia
###	Send comments to regulondb@ccg.unam.mx
###
###NAME : ClientGenegetGene.pl
###
###VERSION : version 1.0
###
###DESCRIPTION :
###	This is a client that call the Web service Gene and its method getGene
###
###OUTPUT : String
###     GENE
###     Gene name:
###     Synonyms:
###     Map positions:
###     Strand:
###     Sequence:
###     External database links
###     DatabaseName : ID
###     PRODUCT
###     Product name:
###     Synonyms:
###     Sequence:
###     Regulator Family:
###     Molecular weight:
###     Isoelectric Point:
###     Motifs
###     Type	Position	Sequence
###     TypeValue	PositionValue	SequenceValue
###     Classification:
###     Notes:
###     Evidences:
###     EvicenceCode: Evidence Description
###     References:
###     External database links
###     DatabaseName : ID
###     OPERON
###     Operon Name:
###     Operon arrangement
###     Transcription unit	Promoter name
###     Transcription unit	Promoter name
###
###USAGE :
###     ClientGenegetGene.pl -objectId ###
###
###OPTIONS :
###	-objectId
###
###DATE : 22/10/2010
###
###Requirements : SOAP::Lite library
###
End_of_Help
  close HELP;
  exit(0);
}
GetOptions (\%opts,'objectId=s');

&ReadArguments;

###calling the Web services

### getting the column names
my $method="getGene";
my $endPoint="http://regulondb.ccg.unam.mx/webservices/Gene.jws?wsdl";

### getting the data
my $result= SOAP::Lite
	-> service($endPoint)
    	-> $method($opts{objectId});

	print $result;
	
	print "\n";

#### Read Arguments
sub ReadArguments {
	if ($opts{objectId} eq''){
		print ("Needs the -objectId parameter \n");
		exit(0);
	}
}
